services:
  jeopardy:
    image: jeopardy:latest
    container_name: jeopardy
    environment:
      # domain:port or only domain, eg jeopardyserver.akolata.de
      PUBLIC_JEOPARDY_SERVER: localhost:11001
      PUBLIC_JEOPARDY_SERVER_PROTOCOL: http
    ports:
      - "11000:3000"
  jeopardyserver:
    image: jeopardyserver:latest
    container_name: jeopardyserver
    environment:
      JEOPARDYSERVER_MONGO_USERNAME: jeopardyadmin
      JEOPARDYSERVER_MONGO_PASSWORD: jGpklsI9vCdixel7sDGxVBsydlzdyX8A1Zank6a12QT827PC
      JEOPARDYSERVER_MONGO_URL: mongo:27017
      JEOPARDY_URL: http://localhost:11000
    ports:
      - "11001:12345"
    volumes:
      - jeopardyserver_data_volume:/data
  mongo:
    image: mongo:8.0.17
    restart: always
    environment:
      MONGO_INITDB_ROOT_USERNAME: jeopardyadmin
      MONGO_INITDB_ROOT_PASSWORD: jGpklsI9vCdixel7sDGxVBsydlzdyX8A1Zank6a12QT827PC
    ports:
      - 11002:27017
    volumes:
      - mongodb_data_volume:/data/db
  mongo-express:
    image: mongo-express
    restart: always
    ports:
      - 11003:8081
    environment:
      ME_CONFIG_MONGODB_URL: mongodb://jeopardyadmin:jGpklsI9vCdixel7sDGxVBsydlzdyX8A1Zank6a12QT827PC@mongo:27017/
      ME_CONFIG_BASICAUTH_ENABLED: true
      ME_CONFIG_BASICAUTH_USERNAME: Trushy
      ME_CONFIG_BASICAUTH_PASSWORD: IXvtRcbrXy7wX4VKfmwKzRdRnHwbMlDpLm4ETKk9jgzJoylhakUCpcRWN3xVbAuM

volumes:
  mongodb_data_volume:
  jeopardyserver_data_volume:
